# Country Database

<div align="center">

[![License](https://img.shields.io/badge/license-MIT-34D058?color=blue)](https://github.com/sivakumar-mahalingam/country-db/blob/main/LICENSE)
![Python](https://img.shields.io/badge/python-3.8+-blue?logo=python&logoColor=959DA5)
[![PyPI](https://img.shields.io/pypi/v/country-db.svg?logo=pypi&logoColor=959DA5&color=blue)](https://pypi.org/project/country-db/)

<a href="https://github.com/sivakumar-mahalingam/country-db/" target="_blank">
    <img src="https://raw.githubusercontent.com/sivakumar-mahalingam/country-db/main/docs/images/country-db-banner.png" target="_blank" />
</a>

A comprehensive repository of global country details, including country codes, ISD codes, currency codes, and more. 

</div>

## ️✨Features

### 🌐Country Codes
- Alpha2Code
- Alpha3Code
- NumericCode
  
_**Source:** [ISO 3166 - 1](https://en.wikipedia.org/wiki/ISO_3166-1)_

### 🌍Region Details
- Continent
- Capital

_**Source:** [Wikipedia](https://en.wikipedia.org/wiki/List_of_national_capitals)_
  
- RegionName
- RegionCode
- SubRegionName
- SubRegionCode
- IntermediateRegionName
- IntermediateRegionCode

_**Source:** [UN M49](https://unstats.un.org/unsd/methodology/m49/overview/)_

### 🔗TLD
- TopLevelDomain

_**Source:** [IANA](https://www.iana.org/domains/root/db)_

### ☎️Calling Codes
- CallingCode

_**Source:** [ITU](https://www.itu.int/en/ITU-T/Pages/default.aspx)_

### 💲Currency Codes
- CurrencyCode
- CurrencyNumber
- CurrencyName

_**Source:** [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)_

### 🚩Flag
- FlagEmoji
- FlagUnicode
- FlagImage [ToDo]

_**Source:** [Openmoji](https://openmoji.org/library/)_

## ⚙️Installation

Install `country-db` 
```bash
pip install country-db
```

## ✅ToDo

- [ ] Include Usage/Example in README
- [ ] Add wiki page
- [ ] Add documentation page
- [ ] Add FlagImage

## 🤝 Contributing

Contributions are welcome! Here's how you can help:

1. Fork the repository
2. Create a new branch (`git checkout -b feature/amazing-feature`)
3. Make your changes
4. Commit your changes (`git commit -m 'feat: add amazing feature'`)
5. Push to the branch (`git push origin feature/amazing-feature`)
6. Open a Pull Request

## ⚖️License
This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## 🙏Show your support

Give a ⭐️ if <a href="https://github.com/sivakumar-mahalingam/country-db/">this</a> project helped you!
